package com.zd.exam.domain.vo;

import com.zd.exam.domain.ElPointsRecord;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: zhoupan
 * @Date: 2021/09/07/13:20
 * @Description:
 */
public class ElPointsRecordListVO extends ElPointsRecord {


    /**
     * 积分记录所属用户姓名
     */
    private String userName;

    /**
     * allBonusPoints
     */
    @ApiModelProperty(value = "总奖励分")
    private Integer allBonusPoints;

    /**
     * consumeBonusPoints
     */
    @ApiModelProperty(value = "兑换奖励分")
    private Integer consumeBonusPoints;

    /**
     * deptName
     */
    @ApiModelProperty(value = "部门名称")
    private String deptName;

    /**
     * avatar
     */
    @ApiModelProperty(value = "用户头像地址")
    private String avatar;

    /**
     * userStatus
     */
    @ApiModelProperty(value = "用户状态")
    private Integer userStatus;


    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getAllBonusPoints() {
        return allBonusPoints;
    }

    public void setAllBonusPoints(Integer allBonusPoints) {
        this.allBonusPoints = allBonusPoints;
    }

    public Integer getConsumeBonusPoints() {
        return consumeBonusPoints;
    }

    public void setConsumeBonusPoints(Integer consumeBonusPoints) {
        this.consumeBonusPoints = consumeBonusPoints;
    }

    @Override
    public String getDeptName() {
        return deptName;
    }

    @Override
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Integer getUserStatus() {
        return userStatus;
    }

    public void setUserStatus(Integer userStatus) {
        this.userStatus = userStatus;
    }
}
